Package com.logicaldoc.core.security.spring

# Class LDSecurityContextRepository

java.lang.Object
org.springframework.security.web.context.HttpSessionSecurityContextRepository
com.logicaldoc.core.security.spring.LDSecurityContextRepository

All Implemented Interfaces:
  `org.springframework.security.web.context.SecurityContextRepository`

public class LDSecurityContextRepository extends org.springframework.security.web.context.HttpSessionSecurityContextRepository
This makes use of sessions but also uses our request-sid binding.

Since:
  7.5
Author:
  Marco Meschieri - LogicalDOC

## Field Summary

### Fields inherited from class org.springframework.security.web.context.HttpSessionSecurityContextRepository

`SPRING_SECURITY_CONTEXT_KEY`

## Constructor Summary

Constructors
Constructor
Description
`LDSecurityContextRepository()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`containsContext(jakarta.servlet.http.HttpServletRequest request)`
`org.springframework.security.core.context.DeferredSecurityContext`
`loadDeferredContext(jakarta.servlet.http.HttpServletRequest request)`
`void`
`saveContext(org.springframework.security.core.context.SecurityContext context, jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response)`

### Methods inherited from class org.springframework.security.web.context.HttpSessionSecurityContextRepository

`loadContext, setAllowSessionCreation, setDisableUrlRewriting, setSecurityContextHolderStrategy, setSpringSecurityContextKey, setTrustResolver`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LDSecurityContextRepository

public LDSecurityContextRepository()

## Method Details

### containsContext

public boolean containsContext(jakarta.servlet.http.HttpServletRequest request)

Specified by:
  `containsContext` in interface `org.springframework.security.web.context.SecurityContextRepository`
Overrides:
  `containsContext` in class `org.springframework.security.web.context.HttpSessionSecurityContextRepository`

### loadDeferredContext

public org.springframework.security.core.context.DeferredSecurityContext loadDeferredContext(jakarta.servlet.http.HttpServletRequest request)

Specified by:
  `loadDeferredContext` in interface `org.springframework.security.web.context.SecurityContextRepository`
Overrides:
  `loadDeferredContext` in class `org.springframework.security.web.context.HttpSessionSecurityContextRepository`

### saveContext

public void saveContext(org.springframework.security.core.context.SecurityContext context, jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response)

Specified by:
  `saveContext` in interface `org.springframework.security.web.context.SecurityContextRepository`
Overrides:
  `saveContext` in class `org.springframework.security.web.context.HttpSessionSecurityContextRepository`